Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.java/1 1.10.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.java.classpath
Interface PathResourceImplementation

All Known Implementing Classes:
  CompositePathResourceBase, PathResourceBase

    public interface PathResourceImplementation

SPI interface for one classpath entry.

Since:
  org.netbeans.api.java/1 1.4
See Also:
  `ClassPathImplementation`

Field Summary
`static String` | `PROP_ROOTS`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds property change listener.
`ClassPathImplementation` | `getContent()` Returns ClassPathImplementation representing the content of the PathResourceImplementation.
`URL[]` | `getRoots()` Roots of the class path entry.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes property change listener.

Field Detail

### PROP_ROOTS

    static final String PROP_ROOTS

See Also:
  Constant Field Values

Method Detail

### getRoots

    URL[] getRoots()

  Roots of the class path entry. In the case of simple resource it returns array containing just one URL. In the case of composite resource it returns array containing one or more URL.

  Returns:
    array of URL, never returns null.

### getContent

    ClassPathImplementation getContent()

  Returns ClassPathImplementation representing the content of the PathResourceImplementation. If the PathResourceImplementation represents leaf resource, it returns null. The ClassPathImplementation is live and can be used for path resource content modification.

  Returns:
    ClassPath in case of composite resource null for leaf resource

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener listener)

  Adds property change listener. The listener is notified when the roots of the entry are changed.

  Parameters:
    `listener` -

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener listener)

  Removes property change listener.

  Parameters:
    `listener` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.java/1 1.10.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.